summaryrefslogtreecommitdiffstats
path: root/busybox.pkg
diff options
context:
space:
mode:
Diffstat (limited to 'busybox.pkg')
-rwxr-xr-xbusybox.pkg/prerm6
1 files changed, 6 insertions, 0 deletions
diff --git a/busybox.pkg/prerm b/busybox.pkg/prerm
index 25e55f6..ad8e863 100755
--- a/busybox.pkg/prerm
+++ b/busybox.pkg/prerm
@@ -1,5 +1,11 @@
#!/bin/sh
+# Ensure opkg saved a copy of busybox and its links. Otherwise, opkg could
+# remove busybox, try to use gzip, crash, and leave behind a broken system.
+if [ x"${OPKG_BUSYBOX_SAVED+set}" != x'set' ]; then
+ exit 1
+fi
+
if [ "x${1}" = 'xupgrade' ]; then
if [ -f /usr/share/busybox/init-scripts ]; then
while read -r script enabled; do